#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    int m,n;
    int p,rez=0;
    cin>>n>>m;
    for(int i=0;i<n*m;i++)
    {
        cin>>p;
        rez=rez^p;
    }

    cout << rez<< endl;
    return 0;
}